package cn.com.tenlion.buildingpictures.pojo.dtos.picturestemplatearea;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: PicturesTemplateAreaBuildingDTO
 * @Description: 供其他业务使用的模板类
 * @Author: WenG
 * @Date: 2020-10-20 10:49
 * @Version: 1.0
 **/
@ApiModel
public class PicturesTemplateAreaBuildingDTO {

    @ApiModelProperty(name = "picturesTemplateAreaId", value = "主键")
    private String picturesTemplateAreaId;
    @ApiModelProperty(name = "picturesTemplateId", value = "模板ID")
    private String picturesTemplateId;
    @ApiModelProperty(name = "templateAreaName", value = "区域名称")
    private String templateAreaName;
    @ApiModelProperty(name = "templateAreaSource", value = "区域标识")
    private String templateAreaSource;
    @ApiModelProperty(name = "templateAreaLeft", value = "距左部像素px")
    private Double templateAreaLeft;
    @ApiModelProperty(name = "templateAreaTop", value = "距顶部像素px")
    private Double templateAreaTop;
    @ApiModelProperty(name = "templateAreaDown", value = "距底部像素px")
    private Double templateAreaDown;
    @ApiModelProperty(name = "templateAreaRight", value = "距右部像素px")
    private Double templateAreaRight;
    @ApiModelProperty(name = "templateAreaHeight", value = "高度")
    private Double templateAreaHeight;
    @ApiModelProperty(name = "templateAreaWidth", value = "宽度")
    private Double templateAreaWidth;
    @ApiModelProperty(name = "templateAreaColor", value = "区域颜色")
    private String templateAreaColor;
    @ApiModelProperty(name = "templateAreaServerLink", value = "区域类型1:文字,2:图片,3:条形码,4:二维码,5:地图位置,6:小程序二维码")
    private String templateAreaServerLink;
    @ApiModelProperty(name = "templateAreaFontFamily", value = "文字字体")
    private String templateAreaFontFamily;
    @ApiModelProperty(name = "templateAreaFontColor", value = "文字颜色")
    private String templateAreaFontColor;
    @ApiModelProperty(name = "templateAreaFontSize", value = "文字大小")
    private String templateAreaFontSize;
    @ApiModelProperty(name = "templateAreaFontLength", value = "字体长度限制")
    private Integer templateAreaFontLength = 0;
    @ApiModelProperty(name = "templateAreaFontBold", value = "文字加粗0:正常,1:加粗,2:斜体")
    private String templateAreaFontBold;
    @ApiModelProperty(name = "templateAreaFontSize", value = "文字位置1:居左,2:居中,3:居右")
    private String templateAreaFontCenter;
    @ApiModelProperty(name = "templateAreaFontValue", value = "区域文字内容")
    private String templateAreaFontValue;
    @ApiModelProperty(name = "templateAreaFile", value = "区域文件内容")
    private String templateAreaFile;
    @ApiModelProperty(name = "templateAreaFontValue", value = "填充方式1:占位区域,2:填充区域")
    private String templateAreaType;
    @ApiModelProperty(name = "templateAreaRemark", value = "备注")
    private String templateAreaRemark;

    public Integer getTemplateAreaFontLength() {
        return templateAreaFontLength;
    }

    public void setTemplateAreaFontLength(Integer templateAreaFontLength) {
        this.templateAreaFontLength = templateAreaFontLength;
    }

    public String getPicturesTemplateAreaId() {
        return picturesTemplateAreaId == null ? "" : picturesTemplateAreaId;
    }

    public void setPicturesTemplateAreaId(String picturesTemplateAreaId) {
        this.picturesTemplateAreaId = picturesTemplateAreaId;
    }

    public String getPicturesTemplateId() {
        return picturesTemplateId == null ? "" : picturesTemplateId;
    }

    public void setPicturesTemplateId(String picturesTemplateId) {
        this.picturesTemplateId = picturesTemplateId;
    }

    public String getTemplateAreaName() {
        return templateAreaName == null ? "" : templateAreaName;
    }

    public void setTemplateAreaName(String templateAreaName) {
        this.templateAreaName = templateAreaName;
    }

    public String getTemplateAreaSource() {
        return templateAreaSource == null ? "" : templateAreaSource;
    }

    public void setTemplateAreaSource(String templateAreaSource) {
        this.templateAreaSource = templateAreaSource;
    }

    public Double getTemplateAreaLeft() {
        return templateAreaLeft;
    }

    public void setTemplateAreaLeft(Double templateAreaLeft) {
        this.templateAreaLeft = templateAreaLeft;
    }

    public Double getTemplateAreaTop() {
        return templateAreaTop;
    }

    public void setTemplateAreaTop(Double templateAreaTop) {
        this.templateAreaTop = templateAreaTop;
    }

    public Double getTemplateAreaDown() {
        return templateAreaDown;
    }

    public void setTemplateAreaDown(Double templateAreaDown) {
        this.templateAreaDown = templateAreaDown;
    }

    public Double getTemplateAreaRight() {
        return templateAreaRight;
    }

    public void setTemplateAreaRight(Double templateAreaRight) {
        this.templateAreaRight = templateAreaRight;
    }

    public Double getTemplateAreaHeight() {
        return templateAreaHeight;
    }

    public void setTemplateAreaHeight(Double templateAreaHeight) {
        this.templateAreaHeight = templateAreaHeight;
    }

    public Double getTemplateAreaWidth() {
        return templateAreaWidth;
    }

    public void setTemplateAreaWidth(Double templateAreaWidth) {
        this.templateAreaWidth = templateAreaWidth;
    }

    public String getTemplateAreaColor() {
        return templateAreaColor == null ? "" : templateAreaColor;
    }

    public void setTemplateAreaColor(String templateAreaColor) {
        this.templateAreaColor = templateAreaColor;
    }

    public String getTemplateAreaServerLink() {
        return templateAreaServerLink == null ? "" : templateAreaServerLink;
    }

    public void setTemplateAreaServerLink(String templateAreaServerLink) {
        this.templateAreaServerLink = templateAreaServerLink;
    }

    public String getTemplateAreaFontFamily() {
        return templateAreaFontFamily == null ? "" : templateAreaFontFamily;
    }

    public void setTemplateAreaFontFamily(String templateAreaFontFamily) {
        this.templateAreaFontFamily = templateAreaFontFamily;
    }

    public String getTemplateAreaFontColor() {
        return templateAreaFontColor == null ? "" : templateAreaFontColor;
    }

    public void setTemplateAreaFontColor(String templateAreaFontColor) {
        this.templateAreaFontColor = templateAreaFontColor;
    }

    public String getTemplateAreaFontSize() {
        return templateAreaFontSize == null ? "" : templateAreaFontSize;
    }

    public void setTemplateAreaFontSize(String templateAreaFontSize) {
        this.templateAreaFontSize = templateAreaFontSize;
    }

    public String getTemplateAreaFontBold() {
        return templateAreaFontBold == null ? "" : templateAreaFontBold;
    }

    public void setTemplateAreaFontBold(String templateAreaFontBold) {
        this.templateAreaFontBold = templateAreaFontBold;
    }

    public String getTemplateAreaFontCenter() {
        return templateAreaFontCenter == null ? "" : templateAreaFontCenter;
    }

    public void setTemplateAreaFontCenter(String templateAreaFontCenter) {
        this.templateAreaFontCenter = templateAreaFontCenter;
    }

    public String getTemplateAreaFontValue() {
        return templateAreaFontValue == null ? "" : templateAreaFontValue;
    }

    public void setTemplateAreaFontValue(String templateAreaFontValue) {
        this.templateAreaFontValue = templateAreaFontValue;
    }

    public String getTemplateAreaFile() {
        return templateAreaFile == null ? "" : templateAreaFile;
    }

    public void setTemplateAreaFile(String templateAreaFile) {
        this.templateAreaFile = templateAreaFile;
    }

    public String getTemplateAreaType() {
        return templateAreaType == null ? "" : templateAreaType;
    }

    public void setTemplateAreaType(String templateAreaType) {
        this.templateAreaType = templateAreaType;
    }

    public String getTemplateAreaRemark() {
        return templateAreaRemark == null ? "" : templateAreaRemark;
    }

    public void setTemplateAreaRemark(String templateAreaRemark) {
        this.templateAreaRemark = templateAreaRemark;
    }
}
